import 'package:flutter/material.dart';

import '../../theme/styles.dart';

class CustomTextDefaultField extends StatelessWidget {
  final String? label;
  final Color? color;
  final TextAlign? align;
  final double? textSize;
  final int? maxLine;
  final FontWeight? fontWeight;
  final String? fontName;
  final TextStyle? textStyle;

  const CustomTextDefaultField(
      {super.key,
      this.label,
      this.color,
      this.align,
      this.maxLine = 2,
      this.textSize,
      this.fontWeight,
      this.fontName,
      this.textStyle});

  @override
  Widget build(BuildContext context) {
    if (label != null && label != "") {
      return Text(label ?? "null",
          textAlign: align,
          maxLines: maxLine,
          overflow: TextOverflow.ellipsis,
          style: textStyle ?? Styles.customTextDefaultStyle(
              color: color,
              fontName: fontName,
              fontWeight: fontWeight,
              textSize: textSize));
    } else {
      return Container();
    }
  }
}
