import 'package:flutter/material.dart';

class CustomTextUnlineField extends StatelessWidget {
  final String? label;
  final Color? color;
  final TextAlign? align;
  final double? textSize;
  final bool? isTextBold;
  final int? maxLine;

  const CustomTextUnlineField(
      {super.key,
      this.label,
      this.color,
      this.align,
      this.isTextBold = false,
      this.maxLine = 2,
      this.textSize});

  @override
  Widget build(BuildContext context) {
    if (label != null && label != "") {
      return Text(label ?? "null",
          textAlign: align,
          maxLines: maxLine,
          style: TextStyle(
              fontSize: textSize,
              color: color,
              fontWeight: isTextBold == true ? FontWeight.bold : FontWeight.normal,
              decoration: TextDecoration.underline));
    } else {
      return Container();
    }
  }
}
